# ResetViewNavigationControl

#### abstract new Cesium.ResetViewNavigationControl(terria)
MapGIS/Tools/Navigation/ResetViewNavigationControl.js 17

The model for a zoom in control in the navigation control tool bar

Name | Type | Description
--- | --- | ---
`terria` | Object | The Terria instance.

### Members

#### cssClass : String
MapGIS/Tools/Navigation/ResetViewNavigationControl.js 49

Gets or sets the CSS class of the control. This property is observable.

#### name : String
MapGIS/Tools/Navigation/ResetViewNavigationControl.js 25

Gets or sets the name of the control which is set as the control's title. This property is observable.

#### svgHeight : Number
MapGIS/Tools/Navigation/ResetViewNavigationControl.js 37

Gets or sets the height of the svg icon. This property is observable.

#### svgIcon : Object
MapGIS/Tools/Navigation/ResetViewNavigationControl.js 31

Gets or sets the svg icon of the control. This property is observable.

#### svgWidth : Number
MapGIS/Tools/Navigation/ResetViewNavigationControl.js 43

Gets or sets the width of the svg icon. This property is observable.

### Methods

#### abstract protected activate()
MapGIS/Tools/Navigation/ResetViewNavigationControl.js 104

When implemented in a derived class, performs an action when the user clicks on this control